## ocaml-sqlite3 1.5.6

=== test/Makefile ===
LIBS = str sqlite3

TESTS = $(wildcard *.ml)

all: bytecode opt

bytecode: $(TESTS:%.ml=%.bc)
opt: $(TESTS:%.ml=%.exe)

%.bc: %.ml
	ocamlc -w Ae -warn-error Ae -I .. str.cma sqlite3.cma $< -o $@

%.exe: %.ml
	ocamlopt -w Ae -warn-error Ae -I .. str.cmxa sqlite3.cmxa $< -o $@

clean:
	rm -f \
	  $(TESTS:%.ml=%.bc) \
	  $(TESTS:%.ml=%.exe) \
	  $(TESTS:%.ml=%.cmi) \
	  $(TESTS:%.ml=%.cmo) \
	  $(TESTS:%.ml=%.cmx) \
	  $(TESTS:%.ml=%.o) \
	  t

## ocaml-sqlite3 1.6.1

=== test/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 opt: $(TESTS:%.ml=%.exe)
 
 %.bc: %.ml
-	ocamlc -w Ae -warn-error Ae -I .. str.cma sqlite3.cma $< -o $@
+	ocamlc -w Ae -warn-error Ae -I .. -dllpath .. str.cma sqlite3.cma $< -o $@
 
 %.exe: %.ml
 	ocamlopt -w Ae -warn-error Ae -I .. str.cmxa sqlite3.cmxa $< -o $@

=== debian/changelog ===
ocaml-sqlite3 (1.6.1-1) unstable; urgency=low

  * New upstream release
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.2
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jul 2011 08:56:20 +0200

ocaml-sqlite3 (1.5.6-3) unstable; urgency=low

  * Add Do-native-test-only-if-sqlite3.cmxa-has-been-compile.patch
    (fixes FTBFS on bytecode architectures)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Oct 2009 15:35:03 +0200

ocaml-sqlite3 (1.5.6-2) unstable; urgency=low

  * New upstream release
  * Switch packaging to dh-ocaml 0.9
  * Convert debian/rules to dh
  * debian/control:
    - update my e-mail address and remove DMUA
    - update Standards-Version to 3.8.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Oct 2009 02:42:10 +0200

ocaml-sqlite3 (1.5.1-1) unstable; urgency=low

  * New upstream release
  * Switch patches to quilt, and add README.source
  * debian/control:
    - update Standards-Version to 3.8.2
    - add Homepage field
  * Add versioned dependency on ocaml-findlib to ease OCaml 3.11.1
    transition

 -- Stephane Glondu <steph@glondu.net>  Tue, 30 Jun 2009 20:50:53 +0200

ocaml-sqlite3 (1.4.0-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * set archive section to "ocaml"

  [ Stephane Glondu ]
  * Move .cma and META to libsqlite3-ocaml, build .cmxs

 -- Stephane Glondu <steph@glondu.net>  Mon, 18 May 2009 16:00:26 +0200

ocaml-sqlite3 (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Mon, 06 Apr 2009 19:45:35 +0200

ocaml-sqlite3 (1.3.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 10:01:43 +0100

ocaml-sqlite3 (1.3.0-1) experimental; urgency=low

  * New Upstream Version.
  * Switch packaging to git.
  * Build-depend on dh-ocaml and use predefined variables and ocamlinit in
    rules.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Thu, 19 Feb 2009 08:56:13 +0100

ocaml-sqlite3 (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Stephane Glondu <steph@glondu.net>  Mon, 02 Jun 2008 16:12:36 +0200

ocaml-sqlite3 (1.0.3-1) unstable; urgency=low

  [ Stephane Glondu ]
  * Added DM-Upload-Allowed to debian/control.

  [ Samuel Mimram ]
  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sat, 26 Apr 2008 16:18:55 +0200

ocaml-sqlite3 (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sat, 05 Apr 2008 14:59:17 +0200

ocaml-sqlite3 (1.0.0-1) unstable; urgency=low

  [ Samuel Mimram ]
  * New upstream release.
  * Updated standards version to 3.7.3.

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Stephane Glondu ]
  * Added debian/libsqlite3-ocaml-dev.doc-base, closes: #464440.
  * Raising priority to optional.
  * Adding me to uploaders.

 -- Samuel Mimram <smimram@debian.org>  Sun, 23 Mar 2008 13:22:08 +0100

ocaml-sqlite3 (0.23.0-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sun, 16 Sep 2007 16:50:04 +0000

ocaml-sqlite3 (0.22.0-1) unstable; urgency=low

  * New upstream release.
  * Build with OCaml 3.10.
  * Tighten dependency on libsqlite3-dev.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 00:29:35 +0200

ocaml-sqlite3 (0.21.0-1.1) experimental; urgency=low

  * NMU with maintainer authorization
  * rebuilt against ocaml 3.10.0

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 16 Jul 2007 14:29:11 +0200

ocaml-sqlite3 (0.21.0-1) unstable; urgency=low

  [ Enrico Tassi ]
  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Thu, 21 Jun 2007 23:18:54 +0200

ocaml-sqlite3 (0.16.0-2) unstable; urgency=low

  * Updated install-no-mktop.dpatch in order to correctly install on
    non-native archs, closes: #421052.

 -- Samuel Mimram <smimram@debian.org>  Sun, 06 May 2007 14:07:31 +0200

ocaml-sqlite3 (0.16.0-1) unstable; urgency=low

  * New upstream release.
  * Updated install-no-mktop.dpatch.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 Apr 2007 23:33:27 +0200

ocaml-sqlite3 (0.13.0-1) unstable; urgency=low

  * Changed upstream, we are now using Markus Mottl's version. Updated
    copyright and watch files.
  * New upstream release, closes: #411365.

 -- Samuel Mimram <smimram@debian.org>  Thu,  8 Mar 2007 22:42:23 +0100

ocaml-sqlite3 (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Removed gc.dpatch and native-linking.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Thu,  4 Jan 2007 17:11:10 +0000

ocaml-sqlite3 (0.2.0-1) unstable; urgency=low

  * Initial release, closes: #405008.

 -- Samuel Mimram <smimram@debian.org>  Sat, 30 Dec 2006 14:21:42 +0100

=== debian/control ===
Source: ocaml-sqlite3
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 ocaml-nox (>= 3.11.1-3~),
 camlp4,
 libsqlite3-dev (>= 3.3.9),
 ocaml-findlib (>= 1.2.5),
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.2
Section: ocaml
Homepage: http://ocaml.info/home/ocaml_sources.html#ocaml-sqlite3
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-sqlite3.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-sqlite3.git

Package: libsqlite3-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Embeddable SQL Database for OCaml Programs
 This package provides an interface for the SQLite3 embeddable SQL
 database. It allows your OCaml programs to use a SQL database without
 depending on any external software; the resulting system can be
 entirely self-contained.
 .
 This package provides the files necessary to run dynamically-linked
 OCaml programs with SQLite3.

Package: libsqlite3-ocaml-dev
Architecture: any
Depends:
 libsqlite3-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Embeddable SQL Database for OCaml Programs
 This package provides an interface for the SQLite3 embeddable SQL
 database. It allows your OCaml programs to use a SQL database without
 depending on any external software; the resulting system can be
 entirely self-contained.
 .
 This package provides the files necessary to develop new applications that
 use SQLite3 for OCaml.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="-Wl,-z,defs"

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) bytecode docs
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) opt
	ocamlopt -I . -shared -linkall -o sqlite3.cmxs sqlite3.cmxa
endif

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp$(OCAML_DLL_DIR)
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

=== debian/watch ===
version=3

http://www.ocaml.info/ocaml_sources/ ocaml-sqlite3-(.*)\.tar\.gz

## ocaml-sqlite3 2.0.4

=== debian/changelog ===
ocaml-sqlite3 (2.0.4-1) unstable; urgency=low

  * New upstream release
    - add pkg-config to Build-Depends
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 May 2013 15:43:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 8),
+ pkg-config,
  ocaml-nox (>= 3.11.1-3~),
  camlp4,
  libsqlite3-dev (>= 3.3.9),
  ocaml-findlib (>= 1.2.5),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://ocaml.info/home/ocaml_sources.html#ocaml-sqlite3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-sqlite3.git

## ocaml-sqlite3 2.0.5

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: 7b2408909643717852b95f994b273fee)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

=== debian/changelog ===
ocaml-sqlite3 (2.0.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2014 10:16:26 +0100

ocaml-sqlite3 (2.0.4-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:27:05 +0100

ocaml-sqlite3 (2.0.4-3) experimental; urgency=low

  * Build-depend on findlib (>= 1.4) to pick up new nativity of armhf

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Nov 2013 12:08:48 +0100

ocaml-sqlite3 (2.0.4-2) experimental; urgency=low

  * debian/control:
    - update Homepage
    - update Vcs-*
  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 13:33:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends:
  debhelper (>= 8),
  pkg-config,
- ocaml-nox (>= 3.11.1-3~),
+ ocaml-nox (>= 4.01),
  camlp4,
  libsqlite3-dev (>= 3.3.9),
- ocaml-findlib (>= 1.2.5),
+ ocaml-findlib (>= 1.4),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: ocaml
-Homepage: http://ocaml.info/home/ocaml_sources.html#ocaml-sqlite3
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-sqlite3.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-sqlite3.git
+Homepage: https://bitbucket.org/mmottl/sqlite3-ocaml
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-sqlite3.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-sqlite3.git
 
 Package: libsqlite3-ocaml
 Architecture: any

=== debian/watch ===
version=3
https://bitbucket.org/mmottl/sqlite3-ocaml/downloads/sqlite3-ocaml-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 23 Feb 2013 22:56:26 +0000

## ocaml-sqlite3 4.0.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # OASIS_START
-# DO NOT EDIT (digest: 7b2408909643717852b95f994b273fee)
+# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)
 
 SETUP = ocaml setup.ml
 
@@ -33,6 +33,9 @@
 setup.data:
 	$(SETUP) -configure $(CONFIGUREFLAGS)
 
+configure:
+	$(SETUP) -configure $(CONFIGUREFLAGS)
+
 .PHONY: build doc test all install uninstall reinstall clean distclean configure
 
 # OASIS_STOP

=== debian/changelog ===
ocaml-sqlite3 (4.0.5-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 11:50:14 +0200

ocaml-sqlite3 (4.0.5-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2017 11:29:43 +0200

ocaml-sqlite3 (4.0.5-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8
  * Bump debhelper compat to 9

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Aug 2016 15:47:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  pkg-config,
  ocaml-nox (>= 4.01),
  camlp4,
  libsqlite3-dev (>= 3.3.9),
  ocaml-findlib (>= 1.4),
+ ocamlbuild,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Section: ocaml
-Homepage: https://bitbucket.org/mmottl/sqlite3-ocaml
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-sqlite3.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-sqlite3.git
+Homepage: http://mmottl.github.io/sqlite3-ocaml
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-sqlite3.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-sqlite3.git
 
 Package: libsqlite3-ocaml
 Architecture: any

=== debian/watch ===
version=3
https://github.com/mmottl/sqlite3-ocaml/releases/ .*/sqlite3-ocaml/releases/download/v(.*)/sqlite3-ocaml-.*\.tar\.gz

## ocaml-sqlite3 5.0.1

=== debian/changelog ===
ocaml-sqlite3 (5.0.1-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:31:41 +0000

ocaml-sqlite3 (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 15 Jan 2020 11:21:36 +0100

=== debian/control ===
Source: ocaml-sqlite3
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 ocaml-nox (>= 4.01),
 libsqlite3-dev (>= 3.3.9),
 ocaml-dune,
 libdune-ocaml-dev,
 ocaml-findlib (>= 1.4),
 ocamlbuild,
 dh-ocaml (>= 0.9)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Section: ocaml
Homepage: http://mmottl.github.io/sqlite3-ocaml
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sqlite3.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sqlite3

Package: libsqlite3-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Embeddable SQL Database for OCaml Programs (runtime)
 This package provides an interface for the SQLite3 embeddable SQL
 database. It allows your OCaml programs to use a SQL database without
 depending on any external software; the resulting system can be
 entirely self-contained.
 .
 This package provides the files necessary to run dynamically-linked
 OCaml programs with SQLite3.

Package: libsqlite3-ocaml-dev
Architecture: any
Depends:
 libsqlite3-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Embeddable SQL Database for OCaml Programs (development)
 This package provides an interface for the SQLite3 embeddable SQL
 database. It allows your OCaml programs to use a SQL database without
 depending on any external software; the resulting system can be
 entirely self-contained.
 .
 This package provides the files necessary to develop new applications that
 use SQLite3 for OCaml.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR := $(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p sqlite3

override_dh_auto_test:
# needs ppx_inline_test

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/sqlite3/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

## ocaml-sqlite3 5.0.2

=== debian/changelog ===
ocaml-sqlite3 (5.0.2-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:27 +0100

ocaml-sqlite3 (5.0.2-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 14:09:09 +0100

ocaml-sqlite3 (5.0.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Aug 2020 09:06:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: ocaml-sqlite3
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pkg-config,
  ocaml-nox (>= 4.01),
  libsqlite3-dev (>= 3.3.9),
  ocaml-dune,
  libdune-ocaml-dev,
  ocaml-findlib (>= 1.4),
- ocamlbuild,
- dh-ocaml (>= 0.9)
-Standards-Version: 4.4.1
+ dh-ocaml
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: http://mmottl.github.io/sqlite3-ocaml

=== debian/watch ===
version=3
https://github.com/mmottl/sqlite3-ocaml/releases .*/sqlite3-ocaml/releases/download/v?(.*)/sqlite3-.*\.tbz

## ocaml-sqlite3 5.1.0

=== src/Makefile ===
TARGETS = sqlite3.cma libsqlite3_stubs.a

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== test/Makefile ===
.PHONY: all clean

all:
	@dune runtest

clean:
	@dune clean

=== debian/changelog ===
ocaml-sqlite3 (5.1.0-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:16:25 +0100

ocaml-sqlite3 (5.1.0-3) unstable; urgency=medium

  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 06:42:28 +0200

ocaml-sqlite3 (5.1.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 12:08:42 +0200

ocaml-sqlite3 (5.1.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Use secure URI in Homepage field

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 15:39:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
- ocaml-nox (>= 4.01),
+ ocaml,
  libsqlite3-dev (>= 3.3.9),
  ocaml-dune,
  libdune-ocaml-dev,
  ocaml-findlib (>= 1.4),
- dh-ocaml
-Standards-Version: 4.5.0
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://mmottl.github.io/sqlite3-ocaml
+Homepage: https://mmottl.github.io/sqlite3-ocaml
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sqlite3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sqlite3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# needs ppx_inline_test

## ocaml-sqlite3 5.2.0

=== debian/changelog ===
ocaml-sqlite3 (5.2.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2024 18:06:24 +0200

## ocaml-sqlite3 5.3.0

=== debian/changelog ===
ocaml-sqlite3 (5.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Feb 2025 12:19:21 +0100

## ocaml-sqlite3 5.3.1

=== lib/config/Makefile ===
TARGETS = discover.bc

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== debian/changelog ===
ocaml-sqlite3 (5.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Mar 2025 15:54:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  ocaml,
- libsqlite3-dev (>= 3.3.9),
+ libsqlite3-dev,
  ocaml-dune,
  libdune-ocaml-dev,
- ocaml-findlib (>= 1.4),
+ ocaml-findlib,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://mmottl.github.io/sqlite3-ocaml

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mmottl/sqlite3-ocaml/releases?per_page=50 \
https://github.com/mmottl/sqlite3-ocaml/releases/download/[^/]+/sqlite3-@ANY_VERSION@\.tbz
